gtk-sharp 2.12.0.0 Gtk.CheckButton A choice from multiple buttons in a group.

A single radio button performs the same basic function as a , as its position in the object hierarchy reflects. It is only when multiple radio buttons are grouped together that they become a different user interface component in their own right.

Every radio button is a member of some group of radio buttons. When one is selected, all other radio buttons in the same group are deselected. A is one way of giving the user a choice from many options.

Radio button widgets are created with , if this is the first radio button in a group. In subsequent calls, the group you wish to add this button to should be passed as an argument.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
- Constructor
  2.12.0.0
  a
  Creates a new instance.
- Constructor
  2.12.0.0
  a , pointer to the underlying C object.
  Internal constructor
  Not for general developer use.
- Constructor
  2.12.0.0
  a
  Creates a new instance.
  Creates a new in its own group.
- Constructor
  2.12.0.0
  To be added.
  a
  Creates a new instance.
  Creates a RadioButton with the specified label and adds the newly created RadioButton to the same group as the RadioButton specified as the group parameter.

  // Example of creating two radio buttons in the same greoup RadioButton radioButton1; RadioButton radioButton2;

  // create first radio button allowing it to create it's own RadioButton Group radioButton1 = new RadioButton("Single Radio Button in it's own group");

  // create second radio button. supply first radio button so that this one can be added // to the first radio button's group radioButton2 = new RadioButton(radioButton1, "Second radio button in the same group as radioButton1");
- Property
  2.12.0.0
  GLib.SList sets and obtains a linked list with all the radio buttons in the same group. a with all the radio buttons in the same group as this radio button.
- Event
  2.12.0.0
  GLib.Signal("group-changed")
  System.EventHandler Emitted when the group of radio buttons that a radio button belongs to changes. This is emitted when a radio button switches from being alone to being part of a group of 2 or more buttons, or vice-versa, and when a buttton is moved from one group of 2 or more buttons to a different one, but not when the composition of the group that a button belongs to changes.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGroupChanged", Type=typeof(Gtk.RadioButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.